Subject: Re: [PATCH] powerpc: Fix 44x Machine Check handling

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 16 Nov 2007 18:45:41 +1100

On Fri, 2007-11-16 at 18:41 +1100, Benjamin Herrenschmidt wrote:
> On Fri, 2007-11-16 at 01:40 -0600, Olof Johansson wrote:
> > I'm not sure I like this. It introduces another cpu feature flag,
> > that we'll soon run out of if it's used to signify version info per
> > implementation like this.
> > 
> > 1) The SET_IVOR could be done from the cpu_setups for 440A instead
> > (i.e. introduce one).
> > 
> > 2) Please just move the machine check handlers out to individual ones
> > instead of using the generic one. That way you don't need runtime checks
> > between the two (they don't seem to share much of it as-is anyway).
> > 
> > With the above two changes, you shouldn't need the feature bit any more.
> 
> We can easily make the cpu features bigger ... But ok, I'll have a look
> at doing it the way you suggest.

Note that first, I'd like to figure out if there are other relevant
differences with 440A ... arch/ppc didn't list any and diff'ing PDFs is
not fun but if people around here know, please speak up

Ben.